<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">
function checkRbkMoneyPay( form )
{
	var summa = parseFloat( form.summa.value.replace(",",".") );
	if ( isNaN( summa ) )
	{
		alert( 'Введена некоректная сумма' );
		return false;		
	}
	else if ( summa <= 0 )
	{
		alert( 'Введите сумму больше нуля' );
		return false;		
	}
	var sum= summa*(100+${dataMap['commissionPercent']})/100;
	<c:choose>
	<c:when test="${dataMap['commissionType']==0}">
		return confirm( 'Вы подтверждаете платеж на сумму - ' + summa + ' ${currencyTitleMedium}?');
	</c:when>
	<c:when test="${dataMap['commissionType']==1}">
		return confirm( 'Вы подтверждаете платеж на сумму - ' + summa + ' ${currencyTitleMedium}, из них комиссия'+${dataMap['commissionPercent']}+'% - '+summa*${dataMap['commissionPercent']}/100+' ${currencyTitleMedium}? ');
	</c:when>
	<c:when test="${dataMap['commissionType']==2}">
		return confirm( 'Вы подтверждаете платеж на сумму - ' + summa*(100+${dataMap['commissionPercent']})/100 + ' ${currencyTitleMedium}, из них комиссия '+${dataMap['commissionPercent']}+'% - '+summa*${dataMap['commissionPercent']}/100+' ${currencyTitleMedium}? ');
	</c:when>
	<c:otherwise>
		return confirm( 'Вы подтверждаете платеж на сумму - ' + summa + ' ${currencyTitleMedium}?');
	</c:otherwise>
	</c:choose>
}

function getOrderIdAndGoGate( sum )
{
	jQuery.get( webexecuter, { action: '${action}', operation: 'getOrderId', module: '${module}', mid: ${mid}, contractId: contractId, ct: 'json', sum: sum }, 
		function( data )
		{
			var form = jQuery( "#rbkMoneyGateForm" )[0];
			form.eshopId.value = data.ESHOP_ID;
			form.orderId.value = data.ORDER_ID;
			form.serviceName.value = data.SERVICE_NAME;
			form.recipientAmount.value = data.AMOUNT;
			form.recipientCurrency.value = data.CURRENCY;
			form.preference.value = data.PREFERENCE;
			form.successUrl.value = data.SUCCESS_URL;
			form.failUrl.value = data.FAIL_URL;
			form.submit();
		}
	);
}
</script>

<form action="${dataMap['gateUrl']}" method="POST" id="rbkMoneyGateForm">
	<input type="hidden" name="eshopId"/>
	<input type="hidden" name="orderId"/>
	<input type="hidden" name="serviceName"/>
	<input type="hidden" name="recipientAmount"/>
	<input type="hidden" name="recipientCurrency"/>
	<input type="hidden" name="user_email" value="usermail@rbkmoney.ru"/>
	<input type="hidden" name="preference"/>
	<input type="hidden" name="successUrl"/>
	<input type="hidden" name="failUrl"/>
</form>

<form method="POST">
	<input type="hidden" name="action" value="${action}">
	<input type="hidden" name="module" value="${dataMap['module']}"/>
	<input type="hidden" name="mid" value="${mid}"/>
	<%@include file="../include/error.jsp" %>

	<table class="tableFont tableWidth">
	  <tr>
	    <td class="textColor1 backgroundColor3  borderRadius" style="text-align: center; padding: 10px 20px;">
	    	<h3>Пополните счет c помощью шлюза <a href="http://www.rbkmoney.ru/" target="_blank" class="textColor1">RBK Money</a></h3>
			<div style="padding: 0px 4px;"><nobr>Сумма: <input type="text" required="required" name="summa" size="12" style="text-align: center;"/>&nbsp;<button type="button" onclick="if ( checkRbkMoneyPay( this.form ) ) getOrderIdAndGoGate( this.form.summa.value );">Оплатить</button></nobr></div>
		</td>
		<td style="width: 20px;">&nbsp;</td>
	    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
	  </tr>
	</table>
</form>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="rbkMoneyListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="status" value="${dataMap['status']}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="rbkMoneyListForm" month="${dataMap['month']}" year="${dataMap['year']}" ></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="rbkMoneyListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	  <tr>
	  	<td><div style="display: none;">Статус: <select onchange="jQuery('#rbkMoneyListForm')[0].status.value=this.value;jQuery('#rbkMoneyListForm')[0].submit();">
	  	<c:forEach var="item" items="${dataMap['statusList']}">
	  	<c:set var="selected"><c:if test="${item.code eq dataMap['status']}">selected="1"</c:if> </c:set>
	  	<option value="${item.code}" ${selected}>${item.title}</option>
	  	</c:forEach>
	  	</select></div></td>
	  	<td style="text-align: right;"><div>[<a href="#" onclick="jQuery(this).parent().hide().next().show().parent().prev().children().show();">показать допол. фильтры</a>]</div><div style="display: none;">[<a href="#" onclick="jQuery(this).parent().hide().prev().show().parent().prev().children().hide();">скрыть допол. фильтры</a>]</div></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth" style="border-radius: 20px;">
		<thead>
			<tr>
				<td width="50">№</td>
				<td width="150">Дата/Время оплаты</td>
				<td>Статус</td>
				<td>Карта</td>
				<td width="150">Сумма</td>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['paymentList']}">
			<c:forEach var="item" items="${dataMap['paymentList']}">
				<tr>
					<td>${item.id}</td>
					<c:choose>
						<c:when test="${not empty item.transactionDate}"><td><fmt:formatDate value="${item.transactionDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:when>
						<c:otherwise><td><fmt:formatDate value="${item.createDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:otherwise>
					</c:choose>
					<td><c:choose><c:when test="${item.result eq 'New'}">Новая</c:when><c:when test="${item.result eq 'Approved'}">Одобренная</c:when><c:otherwise>${item.result}</c:otherwise></c:choose></td>
					<td>${item.card}</td>
					<td><fmt:formatNumber value="${item.sum}" minFractionDigits="2" /></td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="5" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>
